Bug 53099 - CSS 2.1 failure: html4/replaced-intrinsic-ratio-001
Summary: CSS 2.1 failure: html4/replaced-intrinsic-ratio-001
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: All OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 15849
Blocks: 47141
  Show dependency treegraph
 
Reported: 2011-01-25 10:45 PST by Simon Fraser (smfr)
Modified: 2011-06-22 01:10 PDT (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2011-01-25 10:45:00 PST
The html4/replaced-intrinsic-ratio-001 test fails.

http://test.csswg.org/suites/css2.1/20110111/html4/replaced-intrinsic-ratio-001.htm
Comment 1 Tab Atkins 2011-01-25 15:34:34 PST
With luck, fixing this should be as simple as it was for Gecko.  All they had to do was remove the code that pretended there was such a thing as "percentage intrinsic widths" (because there isn't).
Comment 2 Simon Fraser (smfr) 2011-01-25 15:35:07 PST
Gecko bug: https://bugzilla.mozilla.org/show_bug.cgi?id=611099
Comment 3 Simon Fraser (smfr) 2011-01-27 11:07:31 PST
This might be useful: http://rickmasters.org/tests/browser-tests/sizing/controller.html
Comment 4 Nikolas Zimmermann 2011-06-09 13:12:59 PDT
15849 fixes this bug. That makes us the only big browser supporting it for real out of Opera/FF/IE9. FF plans to add support for it soon, MS as well in IE10, not sure about Opera.
Comment 5 Nikolas Zimmermann 2011-06-22 01:10:57 PDT
Oh, I forgot to clear this bug. This was landed in r88913 and is fixed in trunk.